<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <form action="/reg" method="get" onsubmit="return f_validate()"/>
        用户名<input type="text" name="username" id="username"><span id="message">用户名4-10位之间，并且没有字符串</span><br>
        <input type="submit" value="提交">

    </form>
    <script>
        var oUsername = document.getElementById("username");
        //var oMsg = document.getElementById("message");
        function f_validate() {
            var usernamestr = oUsername.value;
            if(usernamestr.length<4 || usernamestr>10){
                //oMsg.innerHTML = "用户名要求4-10位之间，输入有误，重新输入"
                alert("用户名要求4-10位之间，输入有误，重新输入");
                return false;
            }
            for(var i=0;i<usernamestr.length;i++){
                console.log(usernamestr.charAt(i));
                if(isNaN(usernamestr.charAt(i))){
                    alert("用户名不能有数字");
                    return false;i'' +
                    ';['
                }
            }

        }
    </script>
</body>
</html>